image: openshift/origin-cli

stages:
  - create_dev
  - create_test
  - create_prod

variables:
  OPENSHIFT_HOST: "https://api.cluster-j7lsn.dynamic.redhatworkshops.io:6443"
  OPENSHIFT_TOKEN: "sha256~KsgP7IrYbp3OOszfwohEB0hB6eqx9dyjXjxPB-otkCQ"

create_dev:
  stage: create_dev
  script:
    - chmod +x ./deploy_infra.sh
    - ./deploy_infra.sh
  only:
    - dev

create_test:
  stage: create_test
  script:
    - chmod +x ./deploy_infra.sh
    - ./deploy_infra.sh
  only:
    - test

create_prod:
  stage: create_prod
  script:
    - chmod +x ./deploy_infra.sh
    - ./deploy_infra.sh
  only:
    - main
